Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class AbstractExecutor

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.AbstractExecutor

Direct Known Subclasses:
  GetExecutor, PropertyExecutor

public abstract class AbstractExecutor
extends Object

Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the GetExecutor and PropertyExecutor.

Since:
  1.0
Version:
  $Id: AbstractExecutor.java 398171 2006-04-29 14:57:29Z dion $

Field Summary
`protected Method` | `method` Method to be executed.
`protected Log` | `rlog` The executor instance log.

Constructor Summary
`AbstractExecutor()`

Method Summary
`abstract Object` | `execute(Object o)` Execute method against context.
`Method` | `getMethod()` Get the method to be executed.
`boolean` | `isAlive()` Tell whether the executor is alive by looking at the value of the method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rlog

    protected Log rlog

  The executor instance log.

### method

    protected Method method

  Method to be executed.

Constructor Detail

### AbstractExecutor

    public AbstractExecutor()

Method Detail

### execute

    public abstract Object execute(Object o)
                            throws IllegalAccessException,
                                   InvocationTargetException

  Execute method against context.
  Parameters:
    `o` - The owner.
  Returns:
    The return value.
  Throws:
    `IllegalAccessException` - Method is inaccessible.
    `InvocationTargetException` - Method body throws an exception.

### isAlive

    public boolean isAlive()

  Tell whether the executor is alive by looking at the value of the method.
  Returns:
    boolean Whether the executor is alive.

### getMethod

    public Method getMethod()

  Get the method to be executed.
  Returns:
    Method The method to be executed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.